package com.jscape.util.net.connection;

/**
 * @author Alex Usun
 */
public interface RawConnection
        extends Connection {

    void write(byte data)
            throws ConnectionException;

    void write(byte[] data, int offset, int length)
            throws ConnectionException;

    void flush()
            throws ConnectionException;

}
